Bug 5519 - Неадекватное поведение системы на ноутбуке ASUS L5F005GA при запущенных pcmcia-cs, hotplug и при подключении адаптера PC Card с CompactFlash
: Неадекватное поведение системы на ноутбуке ASUS L5F005GA при запущенных pcmci...
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/kernel-image-std26-up)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-11-17 16:04 by
Modified: 2006-09-17 10:59 (History)


Attachments
Список модулей ядра до подключения адаптера (2.23 KB, text/plain)
2004-11-17 16:05, Sergei Epiphanov
no flags Details
Список модулей ядра после подключения адаптера (2.27 KB, text/plain)
2004-11-17 16:06, Sergei Epiphanov
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-17 16:04:18
При попытке подключения PC Card adapter (переходник для CompactFlash) с картой
CompactFlash возникают множественные сообщения о появлении нового устройства
(отметки ">>" - мои комментарии):

>>Подключил адаптер с картой
Nov 17 14:57:33 mobile-epiphanov kernel: hde: SanDisk SDCFH-1024, CFA DISK
drive
Nov 17 14:57:34 mobile-epiphanov kernel: ide2 at 0x100-0x107,0x10e on irq 3
Nov 17 14:57:34 mobile-epiphanov kernel: hde: max request size: 128KiB
Nov 17 14:57:34 mobile-epiphanov kernel: hde: 2001888 sectors (1024 MB) w/1KiB
Cache, CHS=1986/16/63
Nov 17 14:57:34 mobile-epiphanov kernel: hde: cache flushes not supported
Nov 17 14:57:34 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:34 mobile-epiphanov kernel: ide-cs: hde: Vcc = 3.3, Vpp = 0.0
Nov 17 14:57:34 mobile-epiphanov block.agent[5715]: add new block device
/sys/block/hde
Nov 17 14:57:34 mobile-epiphanov block.agent[5723]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:34 mobile-epiphanov cardmgr[3340]: executing: './ide start hde
2>&1'
>>На эту строку не обращать внимание (на /etc/fstab стоит immutable)
Nov 17 14:57:34 mobile-epiphanov cardmgr[3340]: + Unable to open /etc/fstab for
writing: Permission denied
Nov 17 14:57:35 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:36 mobile-epiphanov block.agent[5751]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:36 mobile-epiphanov block.agent[5723]: DEVICE=/dev/hde1
Nov 17 14:57:36 mobile-epiphanov block.agent[5715]: DEVICE=/dev/hde
Nov 17 14:57:36 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:37 mobile-epiphanov block.agent[5786]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:37 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:37 mobile-epiphanov block.agent[5817]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:38 mobile-epiphanov block.agent[5751]: DEVICE=/dev/hde1
Nov 17 14:57:38 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:38 mobile-epiphanov block.agent[5853]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:38 mobile-epiphanov block.agent[5786]: DEVICE=/dev/hde1
Nov 17 14:57:39 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:39 mobile-epiphanov block.agent[5890]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:39 mobile-epiphanov block.agent[5817]: DEVICE=/dev/hde1
Nov 17 14:57:40 mobile-epiphanov block.agent[5933]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:40 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:40 mobile-epiphanov block.agent[5890]: DEVICE=/dev/hde1
Nov 17 14:57:40 mobile-epiphanov block.agent[5853]: DEVICE=/dev/hde1
Nov 17 14:57:41 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:41 mobile-epiphanov block.agent[5984]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:41 mobile-epiphanov block.agent[5933]: DEVICE=/dev/hde1
Nov 17 14:57:41 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:41 mobile-epiphanov block.agent[6020]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:42 mobile-epiphanov kernel:  hde: hde1
Nov 17 14:57:42 mobile-epiphanov block.agent[6054]: add new block device
/sys/block/hde/hde1
Nov 17 14:57:43 mobile-epiphanov block.agent[5984]: DEVICE=/dev/hde1
>>В этом месте из-за больших тормозов системы я выдернул адаптер
Nov 17 14:57:53 mobile-epiphanov kernel: hde: irq timeout: status=0xff { Busy }
Nov 17 14:57:53 mobile-epiphanov kernel:
Nov 17 14:57:53 mobile-epiphanov kernel: ide: failed opcode was: unknown

Если же подмонтировать карту, то сообщения прекращаются, но скорость обмена с
картой винчестером и сетью падает раз в 10. Программа top сообщается, что
процесс pdflush отъедает 20% процессорного времени.

kernel-image-std26-smp-2.6.9-alt11
pcmcia-cs-3.2.7-alt5
hotplug-2004_03_29-alt12

На предыдущей версии всё работало нормально.

Steps to Reproduce:
1.Настроить pcmcia
2.Запустить hotplug
3.Вставить в адаптер карту CompactFlash
4.Вставить адаптер с картой в слот PC Card
Actual Results:  
Компьютер резко замедляет работу, восстановление работы только после полной
перезагрузки, удаление модулей из памяти через rmmod и останов сервиса hotplug
не решает проблемы.

Expected Results:  
Нормальная работа системы, 1 сообщение о появлении нового устройства, и его
настройка. Нормальная скорость работы компьютера.
------- Comment #1 From 2004-11-17 16:05:53 -------
Created an attachment (id=643) [details]
Список модулей ядра до подключения адаптера
------- Comment #2 From 2004-11-17 16:06:49 -------
Created an attachment (id=644) [details]
Список модулей ядра после подключения адаптера
------- Comment #3 From 2004-11-17 16:20:19 -------
а что происходит, если сказать service pcmcia stop до того как втыкать CF
карточку ?
------- Comment #4 From 2004-11-17 16:30:27 -------
(In reply to comment #3)
> а что происходит, если сказать service pcmcia stop до того как втыкать CF
карточку ?
> 

Тогда система вообще не видит адаптер с карточкой. Как будто и не втыкал.
------- Comment #5 From 2004-11-17 17:49:52 -------
на мантейнера...
------- Comment #6 From 2005-01-25 15:25:14 -------
Это ошибка в ядре.
------- Comment #7 From 2005-01-25 17:20:50 -------
reassign to kernel mantainer
------- Comment #8 From 2006-02-13 10:07:26 -------
Это уже давно fixed.